> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocalistic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Agent



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/agents/{agent_id}
openapi: 3.1.0
info:
  description: ''
  title: Vocalistic API
  version: 1.0.0
servers:
  - url: https://api.vocalistic.ai
security: []
paths:
  /v1/agents/{agent_id}:
    patch:
      tags:
        - Agents
      summary: Patch Agent
      operationId: apps_agents_api_patch_agent
      parameters:
        - in: path
          name: agent_id
          required: true
          schema:
            maxLength: 64
            pattern: ^[A-Za-z0-9_\-]+$
            title: Agent Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentPatch'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentOut'
          description: OK
      security:
        - ApiKeyAuth: []
        - UserSessionAuth: []
components:
  schemas:
    AgentPatch:
      properties:
        creativity:
          anyOf:
            - maximum: 1
              minimum: 0
              type: number
            - type: 'null'
          title: Creativity
        description:
          anyOf:
            - maxLength: 240
              type: string
            - type: 'null'
          title: Description
        greeting:
          anyOf:
            - maxLength: 300
              type: string
            - type: 'null'
          title: Greeting
        instructions:
          anyOf:
            - maxLength: 8000
              type: string
            - type: 'null'
          title: Instructions
        language:
          anyOf:
            - enum:
                - yo
                - pcm
                - ha
                - ig
                - en-NG
              type: string
            - type: 'null'
          title: Language
        max_reply_chars:
          anyOf:
            - enum:
                - 160
                - 320
                - 600
              type: integer
            - type: 'null'
          title: Max Reply Chars
        name:
          anyOf:
            - maxLength: 80
              minLength: 1
              type: string
            - type: 'null'
          title: Name
        status:
          anyOf:
            - enum:
                - draft
                - live
              type: string
            - type: 'null'
          title: Status
        tools:
          anyOf:
            - items:
                $ref: '#/components/schemas/ToolIn'
              type: array
            - type: 'null'
          title: Tools
        voice:
          anyOf:
            - type: string
            - type: 'null'
          title: Voice
      title: AgentPatch
      type: object
    AgentOut:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        creativity:
          title: Creativity
          type: number
        description:
          title: Description
          type: string
        greeting:
          title: Greeting
          type: string
        has_webhook_secret:
          title: Has Webhook Secret
          type: boolean
        id:
          title: Id
          type: string
        instructions:
          title: Instructions
          type: string
        knowledge:
          items:
            $ref: '#/components/schemas/DocumentOut'
          title: Knowledge
          type: array
        language:
          title: Language
          type: string
        max_reply_chars:
          title: Max Reply Chars
          type: integer
        name:
          title: Name
          type: string
        status:
          title: Status
          type: string
        tools:
          items:
            $ref: '#/components/schemas/ToolOut'
          title: Tools
          type: array
        updated_at:
          format: date-time
          title: Updated At
          type: string
        voice:
          title: Voice
          type: string
      required:
        - id
        - name
        - description
        - status
        - language
        - voice
        - greeting
        - instructions
        - creativity
        - max_reply_chars
        - tools
        - knowledge
        - has_webhook_secret
        - created_at
        - updated_at
      title: AgentOut
      type: object
    ToolIn:
      properties:
        config:
          additionalProperties:
            type: string
          default: {}
          title: Config
          type: object
        enabled:
          title: Enabled
          type: boolean
        id:
          enum:
            - knowledge_search
            - collect_details
            - transfer_to_human
            - end_call
            - webhook
            - send_sms
          title: Id
          type: string
      required:
        - id
        - enabled
      title: ToolIn
      type: object
    DocumentOut:
      properties:
        bytes:
          title: Bytes
          type: integer
        chars:
          title: Chars
          type: integer
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          title: Id
          type: string
        kind:
          title: Kind
          type: string
        mime:
          title: Mime
          type: string
        name:
          title: Name
          type: string
      required:
        - id
        - name
        - kind
        - mime
        - bytes
        - chars
        - created_at
      title: DocumentOut
      type: object
    ToolOut:
      properties:
        config:
          additionalProperties:
            type: string
          title: Config
          type: object
        enabled:
          title: Enabled
          type: boolean
        id:
          title: Id
          type: string
      required:
        - id
        - enabled
        - config
      title: ToolOut
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.